Installationsprobleme

Installation und Anwendung von Datenbankschnittstellen wie SQLite, PostgreSQL, MySQL, der DB-API 2.0 und sonstigen Datenbanksystemen.
Antworten
Benutzeravatar
newone_XXV.
User
Beiträge: 50
Registriert: Dienstag 20. Juni 2006, 15:03
Wohnort: Direkt vor meinem PC
Kontaktdaten:

Freitag 25. August 2006, 15:23

Habe da leider folgendes Problem, beim Installieren von PySQLite und weiss nicht mehr weiter:
"error: Python was built with version 7.1 of Visual Studio, and extensions need to be built with the same version of the compiler, but it isn't installed." Was soll ich denn nun machen? Habe Visual C++ Toolkit 2003 installiert..., aber das scheint das falsche zu sein... Was muss ich denn installieren/machen damit ich diese Meldung nicht bekomme? Vermutlich für viele hier jetzt eine Frage zum totlachen.... :oops:
querdenker
User
Beiträge: 424
Registriert: Montag 28. Juli 2003, 16:19
Wohnort: /dev/reality

Freitag 25. August 2006, 16:06

Welche python-Version hast du installiert?
Welche Installations-Version hast du dir von der pysqlite-Seite heruntergeladen?

Versuchst du, dir pysqlite selber zu bauen oder willst du von einem fertigen Packet installieren?

mfg, querdenker
Benutzeravatar
newone_XXV.
User
Beiträge: 50
Registriert: Dienstag 20. Juni 2006, 15:03
Wohnort: Direkt vor meinem PC
Kontaktdaten:

Freitag 25. August 2006, 20:04

Ok... Also ich habe Python 2.4, und PySQLite 2.3.2 (da steht "sources or Windows binaries for Python 2.4 Python 2.3") So und als Anleitung habe ich das hier genommen...: http://initd.org/pub/software/pysqlite/ ... ource.html
Benutzeravatar
gerold
Python-Forum Veteran
Beiträge: 5555
Registriert: Samstag 28. Februar 2004, 22:04
Wohnort: Oberhofen im Inntal (Tirol)
Kontaktdaten:

Freitag 25. August 2006, 21:54

newone_XXV. hat geschrieben:ich habe Python 2.4
Hi newone!

Wenn bei dir Python 2.4 bereits installiert ist und funktioniert und du Windows benutzt, dann brauchst du nur noch dieses File herunterladen und ausführen. --> http://initd.org/pub/software/pysqlite/ ... -py2.4.exe
Damit wird pySQLite installiert. Fertig!

mfg
Gerold
:-)
http://halvar.at | Kleiner Bascom AVR Kurs
Wissen hat eine wunderbare Eigenschaft: Es verdoppelt sich, wenn man es teilt.
Benutzeravatar
newone_XXV.
User
Beiträge: 50
Registriert: Dienstag 20. Juni 2006, 15:03
Wohnort: Direkt vor meinem PC
Kontaktdaten:

Samstag 26. August 2006, 12:48

Danke jetzt funktioniert es... :)
Antworten